##################################
The :mod:`gramps.gen.utils` Module
##################################

.. automodule:: gramps.gen.utils

**********************************
Utilities
**********************************

Callback
====================================
.. automodule:: gramps.gen.utils.callback
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.callman
   :members:
   :undoc-members:
   :show-inheritance:

Configuration
====================================
.. automodule:: gramps.gen.utils.configmanager
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.config
   :members:
   :undoc-members:
   :show-inheritance:

Database
====================================
.. automodule:: gramps.gen.utils.alive
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.db
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.unknown
   :members:
   :undoc-members:
   :show-inheritance:

File
====================================
.. automodule:: gramps.gen.utils.file
   :members:
   :undoc-members:
   :show-inheritance:

Image
====================================
.. automodule:: gramps.gen.utils.image
   :members:
   :undoc-members:
   :show-inheritance:

Locale
====================================
.. automodule:: gramps.gen.utils.grampslocale
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.maclocale
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.keyword
   :members:
   :undoc-members:
   :show-inheritance:

Place
====================================
.. automodule:: gramps.gen.utils.place
   :members:
   :undoc-members:
   :show-inheritance:

Other
====================================
.. automodule:: gramps.gen.utils.cast
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.id
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.lds
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gramps.gen.utils.string
   :members:
   :undoc-members:
   :show-inheritance:
